.wrapper {
    height: 100vh;
    display: flex;
    flex-direction: column;
}

header {
    background-color: orangered;
    padding: 10px;
}
header a {
    color: white;
    font-weight: bold;
    text-decoration: none;
}

header a:hover {
    color:#2a45dd;
    /* transition: all .25s linear */
    transition: all 0.2s linear;
    text-shadow: #29ccd5 1px 1px 10px;
}

main {
    padding: 10px 40px 80px 40px;
    flex: 1;
    overflow: scroll;
}

.main-list img {
    width: 80%;
    border-radius: 15px;
}

.main-list h1 {
    color: green;
}

main a {
    text-decoration: none;
    color: green;
}

section p {
    font-weight: 700;
}

img:hover {
    box-shadow: 1px 25px 30px black;
    transition: all .25s linear;
}

/* responsive page */
/* .menu {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    column-gap: 10px;
    grid-row-gap: 10px;
} */

/* grid display */
.menu {
    display: grid;
    grid-template-columns: 25% 25% 25% 25%;
    grid-gap: 15px;
}

.main-detail img {
    width: 200px;
    border-radius: 15px;
}

.main-detail h1, .main-detail h2 {
    color: green
}

.main-detail ol {
    border: thin solid;
    background-color: lightcyan;
}

.ingredients tr:nth-child(even) {
    background-color: lightgrey;
}

footer {
    color: black;
    font-weight: bold;
    background-color: rgb(164, 235, 133);
    padding: 20px;
}
